Index: file.cpp
===================================================================
--- file.cpp	(revision 5297)
+++ file.cpp	(working copy)
@@ -1535,9 +1535,8 @@
 
 void Score::printFile()
       {
-      if(pdev == 0)
-            pdev = new QPrinter(QPrinter::HighResolution);
-      QPrinter* printerDev = static_cast<QPrinter*>(pdev);
+      QPrinter pPrinter(QPrinter::HighResolution);
+      QPrinter *printerDev = &pPrinter;
 
       if (paperSizes[pageFormat()->size].qtsize == QPrinter::Custom) {
             printerDev->setPaperSize(QSizeF(pageFormat()->_width, pageFormat()->_height),
@@ -1656,15 +1655,13 @@
 bool Score::saveSvg(const QString& saveName)
       {
       QSvgGenerator printer;
-      QPaintDevice* opdev = pdev;
-      pdev = &printer;
 
       printer.setResolution(int(DPI));
       printer.setFileName(saveName);
 
       _printing = true;
 
-      QPainter p(pdev);
+      QPainter p(&printer);
       p.setRenderHint(QPainter::Antialiasing, true);
       p.setRenderHint(QPainter::TextAntialiasing, true);
       double mag = converterDpi / DPI;
@@ -1710,7 +1707,6 @@
 
       _printing = false;
       p.end();
-      pdev = opdev;
       return true;
       }
 
Index: mscore.cpp
===================================================================
--- mscore.cpp	(revision 5297)
+++ mscore.cpp	(working copy)
@@ -86,7 +86,6 @@
 #endif
 
 QString dataPath;
-QPaintDevice* pdev;
 qreal PDPI, DPI, DPMM;
 double SPATIUM;
 
@@ -1954,23 +1953,14 @@
 #endif
       QLocale::setDefault(QLocale(QLocale::C));
 
-      //pdev = new QPrinter(QPrinter::HighResolution);
-      pdev = 0;
       QWidget wi(0);
-
       PDPI = wi.logicalDpiX();         // physical resolution
-      DPI  = 0; // pdev->logicalDpiX();      // logical drawing resolution
-
-      // sanity check for DPI
-      if (DPI == 0) {           // this happens on windows if there is no printer installed
-            DPI = PDPI;
-            pdev = &wi;   //pdev is used to draw text, if it's qprinter, text is tiny.
-            }
+      DPI = PDPI; // logical drawing resolution
       DPMM = DPI / INCH;      // dots/mm
 
       if (debugMode) {
             printf("printer DPI %f(%d) display PDPI %f(%d) DPMM %f\n",
-               DPI, pdev->physicalDpiX(),
+               DPI, wi.physicalDpiX(),
                PDPI, wi.physicalDpiX(),
                DPMM);
             QStringList sl(QCoreApplication::libraryPaths());
@@ -3312,4 +3302,4 @@
       removeTab(scoreList.indexOf(score));
       }
       
-      
\ No newline at end of file
+      
